from django.conf.urls.defaults import *
from django.conf import settings

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    url(r'^songshare/sounds$', 'songshare.views.sounds'),
    url(r'^songshare/sound$', 'songshare.views.sound'),
    url(r'^songshare/sound/(?P<sound_id>\d+)/$', 'songshare.views.sound'),

    url(r'^songshare/sounds/(?P<path>.*)$', 'django.views.static.serve',
        {'document_root': settings.MEDIA_ROOT}),
                       
    url(r'^songshare/notes$', 'songshare.views.notes'),
    url(r'^songshare/note$', 'songshare.views.note'),
    url(r'^songshare/note/(?P<note_id>\d+)/$', 'songshare.views.note'),
                       
    url(r'^songshare/notes/(?P<path>.*)$', 'django.views.static.serve',
        {'document_root': settings.MEDIA_ROOT}),
                       
                       url(r'^songshare/rhythms$', 'songshare.views.rhythms'),
                       url(r'^songshare/rhythm$', 'songshare.views.rhythm'),
                       url(r'^songshare/rhythm/(?P<rhythm_id>\d+)/$', 'songshare.views.rhythm'),
                       
                       url(r'^songshare/rhythms/(?P<path>.*)$', 'django.views.static.serve',
                           {'document_root': settings.MEDIA_ROOT}),
                       
                       url(r'^songshare/audiotracks$', 'songshare.views.audiotracks'),
                       url(r'^songshare/audiotrack$', 'songshare.views.audiotrack'),
                       url(r'^songshare/audiotrack/(?P<audiotrack_id>\d+)/$', 'songshare.views.audiotrack'),
                       
                       url(r'^songshare/audiotracks/(?P<path>.*)$', 'django.views.static.serve',
                           {'document_root': settings.MEDIA_ROOT}),
                       
                       url(r'^songshare/synthtracks$', 'songshare.views.synthtracks'),
                       url(r'^songshare/synthtrack$', 'songshare.views.synthtrack'),
                       url(r'^songshare/synthtrack/(?P<synthtrack_id>\d+)/$', 'songshare.views.synthtrack'),
                       
                       url(r'^songshare/synthtracks/(?P<path>.*)$', 'django.views.static.serve',
                           {'document_root': settings.MEDIA_ROOT}),

						url(r'^songshare/bands$', 'songshare.views.bands'),
	                       url(r'^songshare/band$', 'songshare.views.band'),
	                       url(r'^songshare/band/(?P<band_id>\d+)/$', 'songshare.views.band'),

	                       url(r'^songshare/bands/(?P<path>.*)$', 'django.views.static.serve',
	                           {'document_root': settings.MEDIA_ROOT}),
                       
                       url(r'^songshare/completesets$', 'songshare.views.completesets'),
                       url(r'^songshare/completeset$', 'songshare.views.completeset'),
                       url(r'^songshare/completeset/(?P<completeset_id>\d+)/$', 'songshare.views.completeset'),
                       
                       url(r'^songshare/completesets/(?P<path>.*)$', 'django.views.static.serve',
                           {'document_root': settings.MEDIA_ROOT}),
    # Example:
    # (r'^toot/', include('toot.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # (r'^admin/', include(admin.site.urls)),
)
